%define name lavaps
%define version 2.7
%define release 1mdk

Summary: 	A lava lamp of currently running processes
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Monitoring
URL:	 	http://www.isi.edu/~johnh/SOFTWARE/LAVAPS
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	lavaps.menu
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Lavaps is an interactive process-tracking program like ``top'', but
with a much different attitude.  Rather than presenting lots of
specific info in digital form, it tries to present certain important
information in a graphical analog form.  The idea is that you can run
it in the background and get a rough idea of what's happening to your
system without devoting much concentration to the task.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure

make

%install
%makeinstall

%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/menu/lavaps

rm -rf $RPM_BUILD_ROOT%_sysconfdir/gconf/gconf.xml.defaults/%gconf.xml
rm -rf $RPM_BUILD_ROOT%_sysconfdir/gconf/gconf.xml.defaults/apps/%gconf.xml

rm -rf $RPM_BUILD_ROOT%_sysconfdir/gconf/gconf.xml.defaults/schemas/%gconf.xml
rm -rf $RPM_BUILD_ROOT%_sysconfdir/gconf/gconf.xml.defaults/schemas/apps/%gconf.xml

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/menu/*
#%_sysconfdir/gconf/gconf.xml.defaults/apps/lavaps/%gconf.xml
#%_sysconfdir/gconf/gconf.xml.defaults/schemas/apps/lavaps/%gconf.xml
%_sysconfdir/gconf/schemas/lavaps.schemas

%changelog
* Wed Feb 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.7-1mdk
- 2.7

* Fri Sep 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- 2.40

* Sat Jan 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.20-4mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.20-3mdk
- rebuild

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.20-2mdk
- rebuilt against new libstdc++

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-1mdk
- update to 1.20
- Fix menu entry

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- updated to 1.19

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.18-1mdk
- updated to 1.18

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- BM
- macros
- v1.15

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.10-2mdk
- bzip2 archive
- fix permission on spec

* Mon Mar 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.10-1mdk
- mandrake version

